Bug 371091 - gecko-libs dependency failed or not
gecko-libs dependency failed or not
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
firefox3INSUFFICIENT_DATAmassClosing
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 07:17 EST by cje
Modified: 2008-04-09 10:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 10:05:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cje 2007-11-08 07:17:37 EST
here we go again.  figure this out:

there's a firefox update.  pup fails to resolve dependencies - it says
gecko-libs 1.8.1.8 is needed by epiphany, yelp and epiphany-extensions.

unselect 'firefox' from the list of available updates ('gecko-libs' isn't in the
list ... or in this bugzilla!) and click ok...

on one system (which happens to be x86_64) pup adds firefox back in as a
dependency ... and works!
on another system (which happens to be x86) pup doesn't appear to add firefox
back in and it's still listing it as 1 available update that it then can't install.

the only other differences i can see in the updates are that the one which
re-added firefox as a dependency also had updates for liferea and cups-libs but
not codeina.

ah, and attempting to install liferea on the other machine fails because of
those gecko-libs dependencies.

so there's two problems here - broken dependencies and pup adding things back in
as a dependency and apparently not re-checking the consequent dependencies.
Comment 1 cje 2007-11-08 07:19:33 EST
on the system that re-added the firefox update i now can't run epiphany -
libmozjs.so is missing.
Comment 2 cje 2007-11-08 07:31:37 EST
raising severity to 'high' because, effectively, this is either:

"software updates fail after install"

or else

"web browser silently fails to run"

for all users first experience of fedora 8.  that's Bad, right?
Comment 3 Matěj Cepl 2007-11-08 09:07:31 EST
Try to install these packages
http://koji.fedoraproject.org/koji/buildinfo?buildID=23359
What happens?
Comment 4 cje 2007-11-08 09:19:01 EST
er, i think that _is_ what yum is trying to install.  i get the exact same
result - missing deps.

i imagine it'll refuse to install on the other system as that's the version
number (2.0.0.9-1.fc8) that it already installed.
Comment 5 Martin Stransky 2007-11-08 09:29:43 EST
Unfortunately some updates were pushed and some not.

-> https://admin.fedoraproject.org/updates/F8/FEDORA-2007-2943
-> jkeating - 2007-11-08 12:43:36
-> Unpushing this (and all firefox related updates) until all deps are met. 
Comment 6 cje 2007-11-10 07:20:09 EST
hmm.  just got this same problem on F7.

tried doing a yum update (command line rather than pup) and got the conflict.

manually listed all updates minus firefox - yum added firefox x86_64 - i _think_
because yelp claims to need new gecko-libs.

so there's new questions:

1) how come it's still showing up in F7 yum updates?
2) does Yelp really need that version of gecko-libs?
3) why do yum and pup upgrade x86_64 of firefox without upgrading the i386
version if firefox has been added as a dependency?
Comment 7 cje 2007-11-10 07:45:03 EST
ah.  looks like the actual problem on F7 is that epiphany-extensions needs an
update to match epiphany (and devhelp and yelp etc) not to require the 1.8.1.8
gecko-libs.  uninstalling epiphany-extensions allowed me to do a regular 'yum
update'.

the questions still stand though .. i guess we can rephrase 1) to "is there an
updated epiphany-extensions package on the way?"
Comment 8 cje 2007-11-11 14:25:46 EST
better add Miro to the list of things that are borked on this in F8.

is there a way to scan koji (or something) to find any others?  i thought that
was done every day anyway.
Comment 9 Yovko Ilchev Yovkov 2007-11-13 04:00:49 EST
here it comes again:

Resolving Dependencies
--> Running transaction check
---> Package gnome-python2-gtkmozembed.x86_64 0:2.19.1-10.fc8 set to be updated
--> Processing Dependency: gecko-libs = 1.8.1.9 for package:
gnome-python2-gtkmozembed
--> Finished Dependency Resolution
Error: Missing Dependency: gecko-libs = 1.8.1.9 is needed by package
gnome-python2-gtkmozembed
Comment 10 cje 2007-11-13 08:41:01 EST
just for completeness, this bit me trying a yum upgrade from F7 to F8 (i386). 
had to remove yelp, liferea, epiphany, anjuta and devhelp to get the deps to
resolve.
Comment 11 cje 2007-11-13 08:53:35 EST
also for completeness, now that the repos/mirrors are tidied up i've been able
to sort out the machine that picked up the new firefox despite the dependencies
failing.

yum remove firefox (takes out eclipse, liferea, yelp, libswt3-gtk2, and epiphany)
yum install firefox
yum put the other stuff back.
Comment 12 Nerijus Baliūnas 2007-11-14 08:43:19 EST
# yum update
Error: Missing Dependency: gecko-libs = 1.8.1.9 is needed by package kazehakase
Error: Missing Dependency: gecko-libs = 1.8.1.9 is needed by package
gnome-python2-gtkmozembed

Please push firefox-2.0.0.9 to the repository (along with other packages -
liferea, etc.). There should probably be a list of packages depending on
gecko-libs and all should be updated at once.
Comment 13 Ken A. 2007-11-15 10:23:00 EST
on i386 & FC8:
yum update ... (trying to install firefox.i386 2.0.0.9-1.fc8)

Error: Missing Dependency: gecko-libs = 1.8.1.8 is needed by package yelp

Comment 14 cje 2007-11-15 13:15:12 EST
there's a new build of yelp in koji.  i guess that'll turn up in the yum mirrors
in the next day or so.  so hopefully this will all be sorted then.  :-)

still it would be nice to get a comment from someone who knows about these
things on the feasibility of making sure that
a) the gecko-lib pseudo-package (or whatever is going on there) is easier to get
right with regard to dependencies - a quick google reveals this problem
occurring on and off for over a year! and
b) these dependent updates all show up at the mirrors in a group so that this
doesn't happen in future.
Comment 15 cje 2007-11-15 13:17:12 EST
mind you, that was ten days ago - i wonder why it's not showing up yet...
Comment 16 Bart 2007-11-15 14:05:42 EST
In Package Updater I had only one package.
Updated firefox packages available.

I try to update this package and got this message.
Error: Missing Dependency: gecko-libs = 1.8.1.8 is needed by package yelp

So I checked my versions
[root@localhost ~]# rpm -qa | grep -i firefox
firefox-2.0.0.8-2.fc8
[root@localhost ~]# rpm -qa | grep -i yelp
yelp-2.20.0-2.fc8

30 min ago I got a new update.
Package Updater shows two new packages.
Updated firefox packages available.
Updated yelp packages available.

Now it works to update.

Versions after update.
[ds1345@localhost ~]$ rpm -qa | grep -i firefox
firefox-2.0.0.9-1.fc8
[ds1345@localhost ~]$ rpm -qa | grep -i yelp
yelp-2.20.0-5.fc8

Comment 17 Matěj Cepl 2007-11-16 04:26:49 EST
(In reply to comment #12)
> There should probably be a list of packages depending on
> gecko-libs and all should be updated at once.

Just for the record:

[matej@hubmaier ~]$ sudo repoquery -q --whatrequires gecko-libs
nspluginwrapper-0:0.9.91.5-10.fc9.i386
yelp-0:2.20.0-6.fc9.x86_64
epiphany-extensions-0:2.20.1-2.fc9.x86_64
devhelp-0:0.16.1-3.fc9.x86_64
Miro-0:0.9.9.9-1.fc9.x86_64
openvrml-0:0.16.6-8.fc9.i386
liferea-0:1.4.7-1.fc9.x86_64
gtkmozembedmm-0:1.4.2.cvs20060817-15.fc9.x86_64
gtkmozembedmm-0:1.4.2.cvs20060817-15.fc9.i386
blam-0:1.8.3-10.fc9.x86_64
galeon-0:2.0.3-14.fc9.x86_64
gnome-python2-gtkmozembed-0:2.19.1-10.fc9.x86_64
kazehakase-0:0.5.0-1.fc9.1.x86_64
gecko-sharp2-0:0.12-5.fc8.x86_64
epiphany-0:2.20.1-4.fc9.x86_64
listen-0:0.5-15.fc7.1.x86_64
chmsee-0:1.0.0-1.29.fc9.x86_64
nspluginwrapper-0:0.9.91.5-10.fc9.x86_64
gnome-web-photo-0:0.3-5.fc9.x86_64
devhelp-0:0.16.1-3.fc9.i386
ruby-gtkmozembed-0:0.16.0-16.fc9.x86_64
openvrml-0:0.16.6-8.fc9.x86_64
[matej@hubmaier ~]$ 

(this is on Rawhide though; repoquery is from yum-utils package).
Comment 18 Matěj Cepl 2008-02-21 17:35:34 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 19 Matěj Cepl 2008-02-21 17:36:47 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 20 Matěj Cepl 2008-04-09 10:05:35 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]

Note You need to log in before you can comment on or make changes to this bug.